namespace Brizco.Domain.Entities.Routine;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[AdaptTwoWays("[name]LDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[GenerateMapper]
public partial class Routine : ApiEntity
{
    public Routine()
    {
        
    }
    public Routine(string name,string description,Guid complexId)
    {
        Name = name;
        Description = description;
        ComplexId = complexId;
    }
    public string Name { get; internal set; } = string.Empty;
    public string Description { get; internal set; } = string.Empty;

    public Guid ComplexId { get; internal set; }
    public Complex.Complex? Complex { get; internal set; }


    public List<TaskRoutine> Tasks { get; internal set; } = new();
    public List<ShiftRoutine> Shifts { get; internal set; } = new();
}